Option Explicit

Dim objExcel
Dim oXMLDoc
Dim rootElement
Dim workbooklevelElement


Const ExcelDirectory="C:\Documents and Settings\Administrator\Desktop\InformIT Article\Supporting Files\"
Const XMLDeclaration="<?xml version='1.0' ?>"
   

		call CreateApplicationandRootElement("wwdiary")
		workbooklevelElement="wweek"
		call GetandProcessFileList()
		
	  	oXMLDoc.save("wwout.xml")
 	    	objExcel.Quit
	    	Set objExcel = Nothing

	
	Public Sub CreateApplicationandRootElement(ElementName)
		Dim rootString
		
		rootString=XMLDeclaration & "<" & ElementName & ">"
		rootString=rootString & "</" & ElementName & ">"
		Set objExcel = CreateObject("Excel.Application")
		Set oXMLDoc = CreateObject("MSXML2.DOMDocument")
		
		'Another way to load an XML Document
		'oXMLDoc.Load ExcelDirectory & "xmltemplate.xml"
		
		oXMLDoc.loadXML (rootString)
		Set rootElement = oXMLDoc.documentElement

	
	End Sub
		

	Public Sub GetandProcessFileList()
		Dim objWorkbook
		Dim fso
		Dim objFolder
		Dim objFiles
		Dim objFile

		On Error Resume Next
		'Substitute any logic to get a valid filelist with directory paths
		set fso=CreateObject("Scripting.FileSystemObject")
		if err.number<>0 then
			msgbox "error creating fso"
			exit sub
		End if
		Set objFolder = fso.GetFolder(ExcelDirectory)
				if err.number<>0 then
					msgbox "error getting folder" & err.number _
					& err.description
					exit sub
				End if
		'document.write objFolder.name & "<BR>"
		Set objFiles = objFolder.Files
		for each objFile in objFiles
			'Getting all 2003 files
			'msgbox objFile.Name
			if fso.GetExtensionName(objFile.Name)="xls" _
				and left(fso.GetBaseName(objFile.Name),4)="2003" then
				'msgbox objFile.Path
				Set objWorkbook = objExcel.Workbooks.Open(objFile.Path)
				if Err.Number <> 0 then 
					msgbox "Excel Spreadsheet Not Found--Aborting: "_
					& objFile.Name
					document.write "Excel Spreadsheet Not Found--Aborting: " _
					& objFile.Name
					Exit sub
				End if
				RunExcelXMLEngine objWorkbook
			end if
		next 
	End Sub
	
	
	Public Sub RunExcelXMLEngine(objWorkbook)
	
	Dim objWorksheet
	Dim objNodeMap
	Dim workbookNode
	Dim worksheetDay
	Dim i, j, k
	
	
	Set workbookNode = oXMLDoc.createElement(workbooklevelElement)
	Set objNodeMap = workbookNode.Attributes
	
	Dim workBookVar
	
	'Get the weekdate and starting day
	Set objWorksheet = objWorkbook.Worksheets("Totals")
	
	
	'Get WeightLoss-Cell B1
	workBookVar=objWorksheet.range("B1")
	createandAppendAttribute oXMLDoc, objNodeMap, "WeightLoss", workBookVar
	'Get Weight-Cell D1
	workBookVar=objWorksheet.range("D1")
	createandAppendAttribute oXMLDoc, objNodeMap, "Weight", workBookVar
	'Get dayStart-Cell E1
	workBookVar=objWorksheet.range("E1")
	createandAppendAttribute oXMLDoc, objNodeMap, "dayStart", workBookVar
	'Get dtStart-Cell F1
	workBookVar=objWorksheet.range("F1")
	workBookVar=parseDate(workBookVar)
	createandAppendAttribute oXMLDoc, objNodeMap, "dtStart", workBookVar
	rootElement.appendChild (workbookNode)
	
	
	Const Breakfast = "Breakfast"
	Const Lunch = "Lunch"
	Const Dinner = "Dinner"
	
	Dim worksheetVar
	Dim foodEntryNode
	Dim labelNode
	Dim strTest
	Dim strPoints
	Dim strPortion
	Dim currentNode
	Dim WhichMeal
	Dim dayNode
	
	For i = 1 To 7
	Set dayNode = oXMLDoc.createElement("day")
	Set objWorksheet = objWorkbook.Worksheets(i)
	Set objNodeMap = dayNode.Attributes
	worksheetVar = objWorksheet.range("A1")
	createandAppendAttribute oXMLDoc, objNodeMap, "Day", worksheetVar
	worksheetVar = objWorksheet.range("B1")
	createandAppendAttribute oXMLDoc, objNodeMap, "DayDate", worksheetVar
	
	'from A3 to a50 check for label or foodEntry
	'Process Meals
	Dim HoldCell
	Dim HoldRow
	Dim HaveCurrentNode
	    WhichMeal = ""
	    strTest = ""
	    HaveCurrentNode = 0

	    For j = 3 To 50
		HoldCell = "A" & CStr(j)
		strTest = objWorksheet.range(HoldCell)
		strPortion = objWorksheet.range("B" & CStr(j))
		strPoints = objWorksheet.range("C" & CStr(j))
		If strTest = Breakfast Or _
		    strTest = Lunch Or _
		    strTest = Dinner Then
		    'We have a Section
		    If HaveCurrentNode = 1 Then
			'Finish Old Node
			dayNode.appendChild (currentNode)
		    End If
			'New Section
			Set currentNode = oXMLDoc.createElement("Meal")
			Set objNodeMap = currentNode.Attributes
			createandAppendAttribute oXMLDoc, objNodeMap, "MealTime", strTest
			WhichMeal = strTest
			HaveCurrentNode = 1
		ElseIf strTest = "" Then
		    'ignore
		ElseIf strPoints = "" Then
		    'Assume its a label
			Set labelNode = oXMLDoc.createElement("Label")
			Set objNodeMap = labelNode.Attributes
			createandAppendAttribute oXMLDoc, objNodeMap, "LabelText", strTest
			currentNode.appendChild (labelNode)
		Else
		    'Process foodEntry Nodes
			Set foodEntryNode = oXMLDoc.createElement("foodEntry")
			Set objNodeMap = foodEntryNode.Attributes
			createandAppendAttribute oXMLDoc, objNodeMap, "foodItem", strTest
			createandAppendAttribute oXMLDoc, objNodeMap, "Portion", strPortion
			createandAppendAttribute oXMLDoc, objNodeMap, "Points", strPoints
			currentNode.appendChild (foodEntryNode)
		End If
	    Next 'j
	'If HaveCurrentNode = 1 Then
	    dayNode.appendChild (currentNode)
	'End If
	strTest = ""
	HaveCurrentNode = 0

	'Get Exercise
	Dim exerciseEntryNode
	Dim strActivity
	Dim strDuration
	Dim strIntensity
	
	'Goes from E5 to E10
	'Activity should be in E5
	'Duration should be in F5
	'Intensity should be in G5
	'Points should be in H5
	for j=5 to 10
		HoldCell = "E" & CStr(j)
		strActivity = objWorksheet.range(HoldCell)
		if strActivity<>"" then
			strActivity=objWorksheet.range("E" & CStr(j))
			strDuration = objWorksheet.range("F" & CStr(j))
			strIntensity = objWorksheet.range("G" & CStr(j))
			strPoints = objWorksheet.range("H" & CStr(j))
			Set exerciseEntryNode = oXMLDoc.createElement("exerciseEntry")
			Set objNodeMap = exerciseEntryNode.Attributes
			createandAppendAttribute oXMLDoc, objNodeMap, "Activity", strActivity
			createandAppendAttribute oXMLDoc, objNodeMap, "Duration", strDuration
			createandAppendAttribute oXMLDoc, objNodeMap, "Intensity", strIntensity
			createandAppendAttribute oXMLDoc, objNodeMap, "Points", strPoints
			dayNode.appendChild (exerciseEntryNode)
		End if
	
	next 'j

	workbookNode.appendChild (dayNode)
	Next 'i

	Set objWorksheet = Nothing
	Set objWorkbook = Nothing
	
	End Sub


	Public Function createandAppendAttribute(objDoc, nodeMap, attrName, attrValue)
		Dim objAttribute
		Set objAttribute = objDoc.createAttribute(attrName)
		objAttribute.Value = attrValue
		nodeMap.setNamedItem objAttribute
	End Function
	
	
	Public Function parseDate(strDate)
		        Dim MM, DD, YYYY
		        Dim posSlash1, posSlash2
		        posSlash1 = InStr(strDate, "/")
		        posSlash2 = InStr(posSlash1 + 1, strDate, "/")
		        YYYY = Mid(strDate, posSlash2 + 1)
		        MM = Left(strDate, posSlash1 - 1)
		        DD = Mid(strDate, posSlash1 + 1, posSlash2 - posSlash1 - 1)
		        If Len(MM) <> 2 Then MM = "0" + MM
		        If Len(DD) <> 2 Then DD = "0" + DD
			parseDate=YYYY + "/" + MM + "/" + DD
		
	End Function

    