<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no" indent="no" media-type="text/html"/>
	<!--XSL Stylesheet for generating Datasheet-->
	<xsl:template match="/">
		<html>
		<head>
			<title>Weight Watcher Information
			</title>
			<link href="ww.css" rel="stylesheet" type="text/css" />
		</head>
		<body>
		<xsl:apply-templates />

		</body>
		</html>
	</xsl:template>
	<xsl:template match="wwdiary/wweek">
		<TABLE class='DaySum'	 width='80%' align="center" >
		  <TR>
		    <TH class="JazzyHeading2">WW Diary for Week of <xsl:value-of select="@dtStart" /> </TH>
		   </TR>
		   </TABLE>

		<TABLE class='Detail'	border="1" width='80%' align="center" >
		   
		 <TR> 
		 	<th align="right" width="25%" >Weight:</th>
		 	<th align="left" width="25%" ><xsl:value-of select="@Weight" /></th>
		 	
		 	<th align="right"  width="25%">Weight Loss:</th>
		 	<th align="right" width="25%" ><xsl:value-of select="@WeightLoss" /></th>
		 	
		 </TR>
		 <TR> 
		 	<th align="right" width="35%" >Food Points</th>
		 	<th align="right" width="30%" >Exercise Points</th>
		 	<th align="right"  width="35%" colspan="2">Total Points</th>
		 </TR>
		
		<TR>
		<TH  width="35%" align="right"><xsl:value-of select="sum(day/Meal/foodEntry/@Points)" /></TH>
		<TH  width="30%" align="right"><xsl:value-of select="sum(day/exerciseEntry/@Points)" /></TH>
		<TH  width="35%" align="right" colspan="2"><xsl:value-of select="sum(day/Meal/foodEntry/@Points)-sum(day/exerciseEntry/@Points)" /></TH>
		</TR>
		</TABLE>
		
		<xsl:apply-templates select="day"/>
		

	</xsl:template>

	<xsl:template match="day">
		<table class='DaySum'  width='80%' align="center" >

			
			
		 <tr> 
		 	<th align="left"  ><xsl:value-of select="@Day" /> </th>
		 	<th align="left" colspan="2"><xsl:value-of select="@DayDate" /> </th>
		 </tr>
		 <tr> 
		 	<th align="left"  >Food Points</th>
		 	<th align="left" >Exercise Points</th>
		 	<th align="right">Total Points</th>
		 </tr>
		<tr> 
		 	<th align="left"  ><xsl:value-of select="sum(Meal/foodEntry/@Points)" /></th>
		 	<th align="left" ><xsl:value-of select="sum(exerciseEntry/@Points)" /></th>
		 	<th align="right"><xsl:value-of select="sum(Meal/foodEntry/@Points)-sum(exerciseEntry/@Points)" /></th>
		 </tr>		 
		 
		 </table>
		 
		<table class='today' border='1' width='80%' align="center" >
		<tr>
		<th align="left" colspan="2">Meal</th>
		<th align='right'  >Points</th>
		</tr>
		<xsl:apply-templates select="Meal"/>
	 
			
		</table>
		
		<table class='today' border='1' width='80%' align="center" >
		<tr>
		<th align="left" >Activity</th>
		<th align="left" >Duration</th>
		<th align="left" >Intensity</th>
		<th align='right'  >Points</th>
		</tr>
		<xsl:apply-templates select="exerciseEntry"/>
	 
			
		</table>
		

	</xsl:template>
	
	
	<xsl:template match="Meal">
			<table class='today' border='1' width='80%' align="center" >

				<tr>
				 <th align="left"  colspan="2" > <xsl:value-of select="@MealTime" /></th>
		 		<th align="right" ><xsl:value-of select="sum(foodEntry/@Points)" /></th>
				
				</tr>
				
		<tr>
		<th align="left">FoodItem(s)</th>
		<th align="left">Portion</th>
		<th align="right"></th>
		</tr>
		<xsl:apply-templates select="foodEntry"/>
		</table>
	</xsl:template>

	
	
	<xsl:template match="foodEntry">
				<tr>
				 <td> <xsl:value-of select="@foodItem" />
				</td>
				 <td> <xsl:value-of select="@Portion" />
				</td>
				 <td class='number'> <xsl:value-of select="@Points" />
				</td>
				</tr>

	</xsl:template>


<xsl:template match="exerciseEntry">
				<tr>
				 <td> <xsl:value-of select="@Activity" />
				</td>
				 <td> <xsl:value-of select="@Duration" />
				</td>
				 <td> <xsl:value-of select="@Intensity" />
				</td>
				 <td class='number'> <xsl:value-of select="@Points" />
				</td>
				</tr>

	</xsl:template>



</xsl:stylesheet>
