<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no" indent="no" media-type="text/html"/>
	<!--XSL Stylesheet for generating Datasheet-->
	<xsl:template match="/">
		<html>
		<head>
			<title>Weight Watcher Information
			</title>
			<link href="ww.css" rel="stylesheet" type="text/css" />
		</head>
		<body>
		<TABLE class='Detail'	border="1" width='90%' align="center" >
		
		<xsl:for-each select="wwdiary/wweek">
		
		<xsl:sort  select="@dtStart" data-type="text" />
		   
		 <TR bgcolor="aqua"> 
		
		 	<th align="right" colspan="2" ><xsl:value-of select="@dtStart" /> </th>
		 	<th align="right"  >Weight </th>
		 	<th align="right"  >	<xsl:value-of select="@Weight" /></th>
		 	
		 	<th align="right"  >Weight Loss</th>
		 	<th align="right"  ><xsl:value-of select="@WeightLoss" /></th>
		 	<th align="right" >
		 		<xsl:choose>
		 			<xsl:when test="@WeightLoss &lt; 0">
		 				<img src="down.gif" />
		 			</xsl:when>
		 			<xsl:when test="@WeightLoss &gt; 0">
		 				<img src="up.gif" />
		 			</xsl:when>
		 			<xsl:otherwise>
		 				<img src="same.gif" />
		 			</xsl:otherwise>
		 			
		 		</xsl:choose>
		 	
		 	</th>
		 	
		 </TR>
		 <TR> 
		 	<th align="left"  >Points</th>
		 	<th align="right">Food</th>
		 	<th align="right">Exercise</th>
		 	<th align="right">Net</th>
		 </TR>
		 <TR> 
		 	<th align="left"  >Totals </th>
		 	<th align="right"><xsl:value-of select="format-number(sum(day/Meal/foodEntry/@Points), '###.##')" /></th>
		 	<th align="right"><xsl:value-of select="format-number(sum(day/exerciseEntry/@Points), '###.##')" /></th>
		 	<th align="right"><xsl:value-of select="format-number(sum(day/Meal/foodEntry/@Points)-sum(day/exerciseEntry/@Points), '###.##')" /></th>
		 </TR>
		 <TR>
		 	
		 	<th align="left"  >Daily Avgs </th>
		 	<th align="right"><xsl:value-of select="format-number(sum(day/Meal/foodEntry/@Points) div 7, '###.##')" /></th>
			<th align="right"><xsl:value-of select="format-number(sum(day/exerciseEntry/@Points) div 7, '###.##')" /></th>
			<th align="right"><xsl:value-of select="format-number((sum(day/Meal/foodEntry/@Points)-sum(day/exerciseEntry/@Points)) div 7, '###.##')" /></th>

		 </TR>
		 
		 
		 
		

	</xsl:for-each>

		</TABLE>
		

		</body>
		</html>
	</xsl:template>

</xsl:stylesheet>
